<template>
    <a href="#" @click.prevent="openSingleItem">
        <div class="card card-body shadow-sm mb-3">
            <div class="row">
                <div class="col-4"><img :src="item.artworkUrl100" width="50px" /></div>
                <div class="col-8">
                    <div>{{ item.trackName }}</div>
                    <div>{{ item.artistName }}</div>
                </div>
            </div>
        </div>
    </a>
</template>

<script>
    import EventBus from "../app";
    export default {
        props:['item'],
        methods:{
            openSingleItem(){
                EventBus.$emit('single-item', this.item)
            }
        }
    }
</script>

<style scoped>

</style>